%{?nodejs_find_provides_and_requires}

%global packagename gulp-util
%global enable_tests 1

Name:		nodejs-gulp-util
Version:	3.0.8
Release:	5%{?dist}
Summary:	Utility functions for gulp plugins

License:	MIT
URL:		https://github.com/gulpjs/gulp-util.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(array-uniq)
BuildRequires:	npm(beeper)
BuildRequires:	npm(dateformat)
BuildRequires:	npm(has-gulplog)
BuildRequires:	npm(lodash.template)
BuildRequires:	npm(lodash._reescape)
BuildRequires:	npm(lodash._reevaluate)
BuildRequires:	npm(through2)
BuildRequires:	npm(vinyl)
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(array-differ)
BuildRequires:	npm(event-stream)
BuildRequires:	npm(fancy-log)
BuildRequires:	npm(multipipe)
BuildRequires:	npm(should)
%endif

%description
Utility functions for gulp plugins


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package

chmod -x LICENSE

%nodejs_fixdep dateformat ^3.0.0
%nodejs_fixdep multipipe
%nodejs_fixdep object-assign
%nodejs_fixdep vinyl
%nodejs_fixdep replace-ext

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}


%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Mar 06 2018 jsmith <jsmith.fedora@gmail.com> - 3.0.8-4
- Relax dependency on npm(dateformat), as it works fine with ^3.0.0

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed May 10 2017 Jared Smith <jsmith@fedoraproject.org> - 3.0.8-2
- Relax version of npm(replace-ext)

* Wed Apr 19 2017 Jared Smith <jsmith@fedoraproject.org> - 3.0.8-1
- Update to upstream 3.0.8 release

* Mon Feb 22 2016 Jared Smith <jsmith@fedoraproject.org> - 3.0.7-1
- Initial packaging
